# EVE Agent Installation on Linux Endpoints

The files required for installation on linux Endpoints found in the double compressed Agent GNULinux.zip archive are:&#x20;

* Archive README LINUX.&#x20;
* Archive redhatInstall.sh.&#x20;
* Archive removeService.sh.&#x20;
* Archive ubuntuInstall.sh.&#x20;
* Folders publish.&#x20;

&#x20;After the download of the installation files as described in section Download the EVE Agent, transfer them to the endpoint and follow the steps below for installation:&#x20;

After transferring the installation package to the Endpoint, unzip the file Agent GNULinux.zip, the .tar.xz file.&#x20;

1. Authentication file:\
   Download the Auth.json file from the dashboard website, copy and paste the file into the /home/my\_user/EVEagent/publish/AppSettings folder.
2. Execute install-EVE.sh:\
   `$sudo ./install-EVE.sh`

{% hint style="info" %}
It is possible that depending on the Linux distribution assigning permissions to the installer file will be required :`chmod -x`&#x20;
{% endhint %}

#### Commands

1. Stop service: `sudo systemctl stop Reveald-EVE`
2. Start service: `sudo systemctl start Reveald-EVE`
3. Show service status: `sudo systemctl status Reveald-EVE`
4. Extract file: `tar -xzvf my_file.tar.xz`

### Version 2.5.0 and older

The files required for installation on linux Endpoints found in the double compressed Insider Linux.zip archive are:

* README LINUX File.
* redhatInstall.sh File.
* removeService.sh File.
* ubuntuInstall.sh File.
* Folder publish.

After the download of the installation files as described in section [<mark style="color:yellow;">Obtaining the EVE Agent</mark>](/technical-documentation/admin-guides/epiphany-validation-engine-users-guide/chapter-2-eve-endpoint/obtaining-the-eve-agent.md), transfer them to the endpoint and follow the steps below for installation:

After transferring the installation package to the Endpoint, unzip the file Agent GNULinux.zip, the .tar.xz file.

1. Authentication file.\
   Download the Auth.json file from the EVE platform, copy and paste the file into the publish/AppSettings folder.
2. Grant execution permissions to the installation script.\
   Choose the installation script according to the Linux distribution:\
   \
   •    RedHat, use the installation script: redhatInstall.sh.\
   •    Ubuntu 18.04 LTS, use the installation script: ubuntuInstall.sh.

   •    Ubuntu 20.04 LTS, use the installation script: ubuntuInstall.sh.

   •    Ubuntu 22.04 LTS, use the installation script: ubuntu22\_04Install.sh.
3. Open the command terminal and navigate to the directory where the installation shell files are located (redhatInstall.sh, ubuntuInstall.sh, ubuntu22\_04Install.sh).

   Based on the Linux distribution, enter the following command:\
   \
   •    RedHat, execute the command: sudo chmod 775 redhatInstall.sh

   •    Ubuntu 18.04 LTS, execute the command: sudo chmod 775 ubuntuInstall.sh

   •    Ubuntu 20.04 LTS, execute the command: sudo chmod 775 ubuntuInstall.sh

   •    Ubuntu 22.04 LTS, execute the command: sudo chmod 775 ubuntu22\_04Install.sh
4. Run the installation shell script according to the Linux distribution:\
   \
   •    RedHat, execute: ./redhatInstall.sh

   •    Ubuntu 18.04 LTS, execute: ./ubuntuInstall.sh

   •    Ubuntu 20.04 LTS, execute: ./ubuntuInstall.sh

   •    Ubuntu 22.04 LTS, execute: ./ubuntu22\_04Install.sh\
   \
   The installation script adds the EVE application to the PM2 process manager.
5. To conclude configuring PM2, copy, paste, and run the command that will be automatically generated by PM2.

Command Example:

{% code overflow="wrap" %}

```
sudo env PATH=$PATH:/usr/bin /usr/local/lib/node_modules/pm2/bin/pm2 startup systemd -u myuser --hp /home/myuser
```

{% endcode %}

&#x20;6\.   To make PM2 run and manage the EVE application, run the command:

```
$ source ~/.bashrc \pm2 save
```

&#x20; 7\.  To make PM2 stop managing the EVE application, run the script:

```
removeService.sh
```

#### Commands to manage the application state using PM2

```
Restart: $ pm2 restart Reveald-EVE
Stop: $ pm2 stop Reveald-EVE
Delete: $ pm2 delete Reveald-EVE
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reveald.com/technical-documentation/admin-guides/epiphany-validation-engine-users-guide/chapter-2-eve-endpoint/installing-the-eve-agent/eve-agent-installation-on-linux-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
